Subject: [nfsv4] I-D Action: draft-ietf-nfsv4-rfc3530bis-dot-x-22.txt

From: [email-masked]
Date: Fri, 11 Apr 2014 10:51:35 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Network File System Version 4 Working Group of the IETF.

        Title           : Network File System (NFS) Version 4 External Data Representation Standard (XDR) Description
        Authors         : Thomas Haynes
                          David Noveck
	Filename        : draft-ietf-nfsv4-rfc3530bis-dot-x-22.txt
	Pages           : 37
	Date            : 2014-04-11

Abstract:
   The Network File System (NFS) version 4 is a distributed filesystem
   protocol which owes its heritage to NFS protocol version 2, RFC 1094,
   and version 3, RFC 1813.  Unlike earlier versions, the NFS version 4
   protocol supports traditional file access, while integrating support
   for file locking and the mount protocol.  In addition, support for
   strong security (and its negotiation), compound operations, client
   caching, and internationalization have been added.  Of course,
   attention has been applied to making NFS version 4 operate well in an
   Internet environment.

   RFC3530bis formally obsoleting RFC 3530.  This document, together
   with RFC3530bis replaces RFC 3530 as the definition of the NFS
   version 4 protocol.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-nfsv4-rfc3530bis-dot-x/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-nfsv4-rfc3530bis-dot-x-22

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-nfsv4-rfc3530bis-dot-x-22

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Christoph Hellwig <[email-masked]>
Date: Wed, 16 Apr 2014 17:30:07 +0200

This still seems to be missing my fix for the linktext4 defintion from
December, which I also resent in reply to the previous draft announcement:

---
From: Christoph Hellwig <[email-masked]>
Subject: fix linktext4 typedef

The Symbolic link contents needs to be an array of opaque bytes, as
rpcgen correctly noticed.

Signed-off-by: Christoph Hellwig <[email-masked]>

diff --git a/dotx.d/spit_types.sh b/dotx.d/spit_types.sh
index 26fea72..368de59 100755
--- a/dotx.d/spit_types.sh
+++ b/dotx.d/spit_types.sh
@@ -36,7 +36,7 @@ typedef :utf8string:utf8str_cis:Case-insensitive UTF-8 string.
 typedef :utf8string:utf8str_cs:Case-sensitive UTF-8 string.
 typedef :utf8string:utf8str_mixed:UTF-8 strings with a case-sensitive prefix and a case-insensitive suffix.
 typedef :utf8str_cs:component4:Represents pathname components.
-typedef :opaque  :linktext4:Symbolic link contents ("symbolic link" is defined in an Open Group <xref target='openg_symlink' /> standard).
+typedef :opaque  :linktext4<>:Symbolic link contents ("symbolic link" is defined in an Open Group <xref target='openg_symlink' /> standard).
 typedef :utf8string:ascii_REQUIRED4:String MUST be sent as ASCII and thus is automatically UTF-8.
 typedef :component4:pathname4&lt;&gt;:Represents path name for fs_locations.
 typedef :uint64_t:nfs_lockid4

---

From: Thomas Haynes <[email-masked]>
Date: Wed, 16 Apr 2014 09:54:15 -0700

Lets ignore why it is not there (because I could have sworn I applied it and
sent a confirmation that I did so, but the git logs say otherwise).

In 3530:

typedef utf8str_cs      linktext4;

In 3530bis:

typedef :opaque  :linktext4<>

(Whoops, that was an old one, we digressed it back to:

typedef :opaque:linktext4

and that is where your patch was applied:

https://github.com/loghyr/3530bis/commit/9dd1df31bf3a0f2ac1925b5abbe310dee7e27267#diff-f3e0fb720e89cef4245b3bf13267b92a

I pulled it out because I thought it was a typo in the current i18n furor!)

In 5661:

typedef utf8str_cs linktext4;

And in NFSv4.2:

typedef :utf8str_cs:linktext4

So your patch does not apply to NFSv4.2 because the utf8str_cs handles it correctly.

But we still should sync up 3530bis with NFSV4.2!

AIs:

1) Re-apply fix to 3530bis [DONE]
2) Go through the i18n fixes to 3530bis and make sure all of them make it to NFSv4.2 [DONE]

Thanks for point this out Christoph!

Tom

On Apr 16, 2014, at 8:30 AM, Christoph Hellwig <[email-masked]> wrote:

> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4